Name:          libnfnetlink
Version:       1.0.2
Release:       1mamba
Summary:       Userspace library for handling of netfilter netlink messages
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://www.iptables.org/projects/libnfnetlink/index.html
Source:        http://www.iptables.org/projects/libnfnetlink/files/libnfnetlink-%{version}.tar.bz2
License:       GPL
BuildRequires: glibc-devel
BuildRequires: ldconfig

%description
Libnfnetlink is a userspace library that provides some low-level nfnetlink handling functions.
It is used as a foundation for other, netfilter subsystem specific libraries such as libnfnetlink_conntrack, libnfnetlink_log and libnfnetlink_queue.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Libnfnetlink is a userspace library that provides some low-level nfnetlink handling functions.
It is used as a foundation for other, netfilter subsystem specific libraries such as libnfnetlink_conntrack, libnfnetlink_log and libnfnetlink_queue.

This package contains static libraries and header files need for development.

%prep
%setup -q

%build
%configure --disable-static
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libnfnetlink.so.*
%doc README

%files devel
%defattr(-,root,root)
%{_includedir}/libnfnetlink/
%{_libdir}/libnfnetlink.la
%{_libdir}/libnfnetlink.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Apr 06 2022 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Tue Oct 09 2012 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Sun Oct 10 2010 Davide Madrisan <davide.madrisan@gmail.com> 1.0.0-2mamba
- rebuilt

* Wed Feb 17 2010 Davide Madrisan <davide.madrisan@gmail.com> 1.0.0-1mamba
- update to 1.0.0

* Mon Mar 10 2008 Aleph0 <aleph0@openmamba.org> 0.0.33-1mamba
- update to 0.0.33

* Fri Dec 28 2007 Aleph0 <aleph0@openmamba.org> 0.0.30-1mamba
- package created by autospec
